<?php
	/*
	* 2018 - VEGA Informatique
	*
	* NOTICE OF LICENSE
	*
	* This source file is subject to the Open Software License (OSL 3.0)
	* that is bundled with this package in the file LICENSE.txt.
	* It is also available through the world-wide-web at this URL:
	* http://opensource.org/licenses/osl-3.0.php
	*
	* DISCLAIMER
	*
	* Do not edit or add to this file if you wish to upgrade PolarisLink to newer
	* versions in the future. 
	*
	*  @author VEGA Informatique <contact@vega-info.fr>
	*  @copyright  2018 VEGA Informatique
	*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
	*/

	if (!defined('_PS_VERSION_'))
		exit;	
		
	function upgrade_module_3_51($module)
	{
		/*
			Création de la base de données
		*/
		$db = Db::getInstance();
	
		try
		{
            if (version_compare(_PS_VERSION_, 1.7) >= 0)
            {
			    /* On ajoute l'onglet pour le mapping des références */
                $tab = new Tab();
                $tab->name[Configuration::get('PS_LANG_DEFAULT')] = $module->l("Mappage de la classification Polaris");
                $tab->class_name = "AdminPolarisLinkEditCategoryMappage";
                $tab->id_parent = Tab::getIdFromClassName("AdminCatalog");
                $tab->module = $module->name;
				$tab->add();
				
				// Changement position module sur le tableau de bord
				$module->updatePosition(Hook::getIdByName('dashboardZoneOne'), 0, 1);
            }
		}
		catch (Exception $ex)
		{
			$module->install_error(Tools::displayError($ex));			
			return false;
		}
				
		return true;
	 }
 